/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.storage.jooq.tables.PhoneNumberPrefixList;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class PhoneNumberPrefixListRecord extends UpdatableRecordImpl<PhoneNumberPrefixListRecord> implements Record3<Long, Long, String> {

	private static final long serialVersionUID = 1439162169;

	/**
	 * Setter for <code>public.phone_number_prefix_list.id</code>.
	 */
	public PhoneNumberPrefixListRecord setId(Long value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.phone_number_prefix_list.id</code>.
	 */
	public Long getId() {
		return (Long) getValue(0);
	}

	/**
	 * Setter for <code>public.phone_number_prefix_list.phone_number_prefix_id</code>.
	 */
	public PhoneNumberPrefixListRecord setPhoneNumberPrefixId(Long value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.phone_number_prefix_list.phone_number_prefix_id</code>.
	 */
	public Long getPhoneNumberPrefixId() {
		return (Long) getValue(1);
	}

	/**
	 * Setter for <code>public.phone_number_prefix_list.phone_number</code>.
	 */
	public PhoneNumberPrefixListRecord setPhoneNumber(String value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.phone_number_prefix_list.phone_number</code>.
	 */
	public String getPhoneNumber() {
		return (String) getValue(2);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record1<String> key() {
		return (Record1) super.key();
	}

	// -------------------------------------------------------------------------
	// Record3 type implementation
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row3<Long, Long, String> fieldsRow() {
		return (Row3) super.fieldsRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row3<Long, Long, String> valuesRow() {
		return (Row3) super.valuesRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field1() {
		return PhoneNumberPrefixList.PHONE_NUMBER_PREFIX_LIST.ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field2() {
		return PhoneNumberPrefixList.PHONE_NUMBER_PREFIX_LIST.PHONE_NUMBER_PREFIX_ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<String> field3() {
		return PhoneNumberPrefixList.PHONE_NUMBER_PREFIX_LIST.PHONE_NUMBER;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value1() {
		return getId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value2() {
		return getPhoneNumberPrefixId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String value3() {
		return getPhoneNumber();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public PhoneNumberPrefixListRecord value1(Long value) {
		setId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public PhoneNumberPrefixListRecord value2(Long value) {
		setPhoneNumberPrefixId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public PhoneNumberPrefixListRecord value3(String value) {
		setPhoneNumber(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public PhoneNumberPrefixListRecord values(Long value1, Long value2, String value3) {
		value1(value1);
		value2(value2);
		value3(value3);
		return this;
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached PhoneNumberPrefixListRecord
	 */
	public PhoneNumberPrefixListRecord() {
		super(PhoneNumberPrefixList.PHONE_NUMBER_PREFIX_LIST);
	}

	/**
	 * Create a detached, initialised PhoneNumberPrefixListRecord
	 */
	public PhoneNumberPrefixListRecord(Long id, Long phoneNumberPrefixId, String phoneNumber) {
		super(PhoneNumberPrefixList.PHONE_NUMBER_PREFIX_LIST);

		setValue(0, id);
		setValue(1, phoneNumberPrefixId);
		setValue(2, phoneNumber);
	}
}
